#!/usr/bin/perl
# create HTML for names.html from the list of names in bingo.html

my(@lines, $line, @namesInLine, @names, $name, @tnames, $firstLetter,
   $oldFirstLetter, $newLetter);

chomp(@lines = <>);

foreach $line (@lines) {
    $line =~ s/^\s+//;
    $line =~ s/\s+$//;
    $line =~ s/,*$//;
    @namesInLine = split(/, /, $line);
    push(@names, @namesInLine); 
}

foreach $name (@names) {
   $name =~ s/^['"]//;
   $name =~ s/['"]$//;
   push(@tnames, $name);
}
@names = @tnames;

startLetters();

foreach $name (sort @names) {
   $newLetter = 0;
   $firstLetter = substr($name, 0, 1);
   if ($firstLetter ne $oldFirstLetter) {
       if ($oldFirstLetter) {
           endLetterSection();
       }
       startLetterSection($firstLetter);
       $newLetter = 1;
   }
   $oldFirstLetter = $firstLetter;
   if (!$newLetter) {
       print ", ";
   }
   print $name;
}
endLetterSection();

endLetters();



sub startLetters {
    print "<ul id=\"listOfLetters\" itemprop=\"mainContentOfPage\">\n";
}

sub endLetters {
    print "</ul>\n";
}

sub startLetterSection {
    my($letter) = @_;
    print "<li class=\"letterInListOfLetters\"><section>".
          "<h2 class=\"letterHeader\">Names beginning with $letter</h2>".
          "<a id=\"$letter\"></a>".
          "<span id=\"listOfNamesForLetter$letter\">";
}

sub endLetterSection {
    print "</span></section></li>\n";
}
